/*
   SPDX-FileCopyrightText: 2017-2024 Laurent Montel <montel@kde.org>

   SPDX-License-Identifier: LGPL-2.0-or-later
*/

#pragma once

#include <QObject>

class RuqolaServerConfigTest : public QObject
{
    Q_OBJECT
public:
    explicit RuqolaServerConfigTest(QObject *parent = nullptr);
    ~RuqolaServerConfigTest() override = default;
private Q_SLOTS:
    void shouldHaveDefaultValues();
    void shouldAssignValues();

    void shouldVerifyOauthType_data();
    void shouldVerifyOauthType();

    void shouldVerifyThatServerSupportService();

    void shouldAddRuqolaAuthenticationSupport();

    void shouldTestVersion_data();
    void shouldTestVersion();

    void shouldSerializeConfig_data();
    void shouldSerializeConfig();

    void shouldCheckPassword_data();
    void shouldCheckPassword();
};
